# authentication

abstract fun authentication(action: Action<in AuthenticationContainer>)

Configures the authentication schemes for this repository.

This method executes the given action against the AuthenticationContainer for this project. The is passed to the closure as the closure's delegate.

If no authentication schemes have been assigned to this repository, a default set of authentication schemes are used based on the repository's transport scheme.

    repositories {
        maven {
            url = "https://example.com/m2"
            authentication {
                basic(BasicAuthentication)
            }
        }
    }

Content copied to clipboard

Supported authentication scheme types extend org.gradle.authentication.Authentication.

#### Parameters

action

the action to use to configure the authentication schemes.